Subject: Re: Pine Motif

From: Ian Leiman <[email-masked]>
Date: Tue, 1 Mar 1994 14:03:14 +0300 (EETDST)

On Mon, 28 Feb 1994, Paul E. Bloch wrote:

> I got your name from the imap.software file from ftp.cac.washington.edu.  
> It states that a Pine Motif version is in development.  When and under 
> what licensing may this be made available?

I have done a lot of work lately on the "Pine Motif version" and it is
something like 95% ready. It will have about the same functionality as
pine 3.89, with minor exceptions. I am implementing some of the currently
missing features, such as 'pipe' and 'zoom' commands, but then I probably
will leave the compose editor (pico will not be used) at a very
rudimentary stage, as everyone probably has their own favorite Motif
editor anyway (which can be invoked conveniently, of course). 

I hope I can get my current work into a polished enough stage to do an
initial 'beta-release' within March -94. I will continue work with this
project though, as it has proven very interesting and I have many ideas I 
want to implement. 

I will ftp a file called 'NokiaPine.beta.tar.Z' into incoming directory of
some strategic ftp archives throughout the net (such as
ftp.cac.washington.edu) and mail a release notice into 'pine-info' list,
when it's ready. The tar will contain K&R C-sources, a makefile and
documents. The makefile will work on HP9000/730, HP/UX 9.01 with its
standard configuration (cc, libXm, libX11, libXt installed). Same unix 
platforms can be supported as pine 3.89 does (with os-??? files in 
pine/osdep directory). You must have Motif 1.2 and X11R5.

I will keep makefile simple enough to make 'porting' to other platforms
than HP730 a piece of cake. There will not be an imakefile. I will assume
that 'pine3.89.tar.Z' is already installed too, at least the c-client
library will be needed from there. 

The program will be called initially 'NokiaPine' and it will be
distributed under the same terms as pine itself. I will have the
copyright on my part of the work, UW on their part, Dave Taylor on his,
etc. What you can compile, you can use, and it's free...

NokiaPine will be targeted primarily for 'power-user' audience, although
even novices should find the GUI rather friendly to use too (if not a bit
confusing though). NokiaPine will be 100% compatible with pine 3.89, you
can use both side by side. NokiaPine will require a very powerful machine 
with plenty of RAM to run (NokiaPine uses 6-10 Mbytes when you fire up all 
the windows there are, pine 3.89 uses 3-4 Mbytes).

There will probably be some controversy over the way I have implemented
certain user-interface related features. We'll see what kind of debate
evolves out of that ;-)

With some additional restructuring of the code, the Tcl/Tk package could 
be integrated into NokiaPine, thus providing an easy 'programmer's 
interface' to allow extensive customizing.
I will explore this possibility more, later this spring and summer.

-- 
Ian Leiman, M.Sc.             phone +358 0 5104 4453, fax +358 0 5104 4764
Development Engineer          mail: TL2E, P.O. BOX 12, FIN-02611 Espoo, Finland
Data Communications           internet: [email-masked]
Transmission Systems          x400: C=FI,A=Elisa,or A=Mailnet,P=Nokia Telecom,
NOKIA Telecommunications            SUR=LEIMAN,GIV=IAN,(UNIT=DCO)